XtSetLanguageProc(3)

NAME
XtSetLanguageProc - set the language procedure

SYNTAX

Widget XtSetLanguageProc(XtAppContext app_context, XtLanguageProc proc, XtPointer client_data);

ARGUMENTS

app_context
    Specifies the application context in which the language procedure is to be used, or NULL.

proc
    Specifies the language procedure, or NULL.

client_data
    Specifies additional client data to be passed to the language procedure when it is called.

DESCRIPTION
sets the language procedure that will be called from for all subsequent Displays initialized in the specified application context. If app_context is NULL, the specified language procedure is registered in all application contexts created by the calling process, including any future application contexts that may be created. If proc is NULL a default language procedure is registered. returns the previously registered language procedure. If a language procedure has not yet been registered, the return value is unspecified but if this return value is used in a subsequent call to it will cause the default language procedure to be registered.

The default language procedure does the following:

•   Sets the locale according to the environment. On ANSI C-based systems this is done by calling language ). If an error is encountered a warning message is issued with

•   Calls to verify that the current locale is supported. If the locale is not supported, a warning message is issued with and the locale is set to ``C''.

•   Calls specifying the empty string.

•   Returns the value of the current locale. On ANSI C-based systems this is the return value from a final call to NULL ).

A client wishing to use this mechanism to establish locale can do so by calling prior to

SEE ALSO
X Toolkit Intrinsics - C Language Interface
Xlib - C Language X Interface